Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.passage
Class KeyTreeModel

    java.lang.Object
      javax.swing.tree.DefaultTreeModel
          org.crosswire.bibledesktop.passage.KeyTreeModel

All Implemented Interfaces:
  Serializable, TreeModel

    public class KeyTreeModel

extends DefaultTreeModel

A TreeModel that helps with working with Keys.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private Key` | `key` The key that this tree is displaying.
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class javax.swing.tree.DefaultTreeModel
`asksAllowsChildren, listenerList, root`

Constructor Summary
`KeyTreeModel(Key key)` Simple ctor

Method Summary
`Key` | `getKey()` What key is this tree editing
`void` | `setKey(Key key)` Sets the key is this tree editing

Methods inherited from class javax.swing.tree.DefaultTreeModel
`addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    private Key key

  The key that this tree is displaying.

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### KeyTreeModel

    public KeyTreeModel(Key key)

  Simple ctor

  Parameters:
    `key` - The root TreeNode

Method Detail

### getKey

    public Key getKey()

  What key is this tree editing

  Returns:
    Returns the key.

### setKey

    public void setKey(Key key)

  Sets the key is this tree editing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD